users
Update User
PATCH
/
v1
/
organizations
/
{organization_id}
/
users
/
{user_id}
Update User
curl --request PATCH \
--url https://api.aixy-gateway.com/v1/organizations/{organization_id}/users/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]",
"name": "<string>",
"role": "<string>",
"project_ids": [
"<string>"
],
"suspended": true
}
'import requests
url = "https://api.aixy-gateway.com/v1/organizations/{organization_id}/users/{user_id}"
payload = {
"email": "[email protected]",
"name": "<string>",
"role": "<string>",
"project_ids": ["<string>"],
"suspended": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '[email protected]',
name: '<string>',
role: '<string>',
project_ids: ['<string>'],
suspended: true
})
};
fetch('https://api.aixy-gateway.com/v1/organizations/{organization_id}/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"organization_id": "<string>",
"email": "<string>",
"name": "<string>",
"role": "<string>",
"suspended_at": "<string>",
"project_ids": [
"<string>"
],
"created_at": "<string>",
"updated_at": "<string>",
"object": "organization.user"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Instance management token configured by a self-hosted operator.
Body
application/json
Response
Successful Response
⌘I
Update User
curl --request PATCH \
--url https://api.aixy-gateway.com/v1/organizations/{organization_id}/users/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]",
"name": "<string>",
"role": "<string>",
"project_ids": [
"<string>"
],
"suspended": true
}
'import requests
url = "https://api.aixy-gateway.com/v1/organizations/{organization_id}/users/{user_id}"
payload = {
"email": "[email protected]",
"name": "<string>",
"role": "<string>",
"project_ids": ["<string>"],
"suspended": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '[email protected]',
name: '<string>',
role: '<string>',
project_ids: ['<string>'],
suspended: true
})
};
fetch('https://api.aixy-gateway.com/v1/organizations/{organization_id}/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"organization_id": "<string>",
"email": "<string>",
"name": "<string>",
"role": "<string>",
"suspended_at": "<string>",
"project_ids": [
"<string>"
],
"created_at": "<string>",
"updated_at": "<string>",
"object": "organization.user"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}